# fritz_temperatur

## Allgemein

Dieses Script fragt die Temperatur eines an die FritzBox angeschlossenen Sensors ab.

Getestet wurde es mit einer FritzBox 7390 mit FritzOS 6.83 und einem Comet DECT-Heizkörperregler.

Das Script benötigt folgende Parameter:

  -H  Hostname oder IP der FritzBox
  -U  Benutzername zum Einloggen an der FritzBox (z.B. administrator)
  -P  Das Paßwort des eben genannten Benutzers
  -A  Die ID des Sensors.

Die Sensor-ID kann man über die Web-Oberfläche der FritzBox abfragen:
- Menü Heimnetz => Smart Home
- Beim gewünschten Sensor auf "Bearbeiten" (Stift-Symbol) klicken
- Die "Identifikationsnummer" ist die benötigte ID. Leerzeichen aus der ID entfernen.

## Voraussetzungen

Das Script ist in Python3 geschrieben und benötigt die folgenden Debian-Pakete:

* python3
* python3-urllib

Getestet wurde mit Debian 8 (Jessie).

